Name:           python-entry-point-inspector
Version:        0.2.2
Release:        %autorelease
# Fill in the actual package summary to submit package to Fedora
Summary:        Tool for looking at the entry point plugins on a system

# No license information obtained, it's up to the packager to fill it in
License:        ...
URL:            https://github.com/dhellmann/entry_point_inspector
Source:         %{pypi_source entry_point_inspector}

BuildArch:      noarch
BuildRequires:  python3-devel


# Fill in the actual package description to submit package to Fedora
%global _description %{expand:
This is package 'entry-point-inspector' generated automatically by pyp2spec.}

%description %_description

%package -n     python3-entry-point-inspector
Summary:        %{summary}

%description -n python3-entry-point-inspector %_description


%prep
%autosetup -p1 -n entry_point_inspector-%{version}


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
# For official Fedora packages, including files with '*' +auto is not allowed
# Replace it with a list of relevant Python modules/globs and list extra files in %%files
%pyproject_save_files '*' +auto


%check
%_pyproject_check_import_allow_no_modules -t


%files -n python3-entry-point-inspector -f %{pyproject_files}


%changelog
%autochangelog